//---------------------------------------------------------------------------

#ifndef RearrangeDlgsH
#define RearrangeDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>

#include "StatsWins4.h"
//---------------------------------------------------------------------------
bool __fastcall ReorderURLSources(TQSStatsWin4 *Owner, const AnsiString &URLFileName);

class TReorderDlg : public TForm
{
__published:	// IDE-managed Components
        TButton *OkBtn;
        TButton *CancelBtn;
        TPanel *Panel1;
        TListBox *SourceList;
        TBitBtn *UpBtn;
        TBitBtn *DownBtn;
        TLabel *Label1;
        TLabel *Label2;
        void __fastcall SourceListClick(TObject *Sender);
        void __fastcall UpBtnClick(TObject *Sender);
        void __fastcall DownBtnClick(TObject *Sender);
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
public:		// User declarations
        bool modified;
        AnsiString FileName;
        __fastcall virtual TReorderDlg(TComponent* Owner);
        __fastcall virtual TReorderDlg(TComponent* Owner, const AnsiString &URLFileName);
        void __fastcall GetURLs(const AnsiString &Source, TStrings *URLs);
        void __fastcall Save();
};
//---------------------------------------------------------------------------
extern PACKAGE TReorderDlg *ReorderDlg;
//---------------------------------------------------------------------------
#endif
