//---------------------------------------------------------------------------

#ifndef StatsWins3H
#define StatsWins3H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "HTTPFrames.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------

void __fastcall DownloadURL3(TForm *Owner, const AnsiString &FileName,
   const AnsiString &URLName, bool AutoSave);

class TStatsWin3 : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *MainMenu1;
        TMenuItem *FileMenu;
        TMenuItem *FileOpenItem;
        TMenuItem *FileSaveItem;
        TMenuItem *N2;
        TMenuItem *Exit1;
        TPanel *Panel1;
        TSpeedButton *GetBtn;
        TLabel *Label1;
        TSpeedButton *SaveBtn;
        TSpeedButton *CancelBtn;
        TBevel *Bevel1;
        TBevel *Bevel2;
        TComboBox *URLBox;
        void __fastcall GetBtnClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall SaveBtnClick(TObject *Sender);
        void __fastcall CancelBtnClick(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        THTTPFrame *HTTP;
        AnsiString FileName;
        bool Cancel, AutoSave;
        __fastcall TStatsWin3(TComponent* Owner);
        __fastcall virtual ~TStatsWin3();
};
//---------------------------------------------------------------------------
extern PACKAGE TStatsWin3 *StatsWin3;
//---------------------------------------------------------------------------
#endif
 